﻿using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Dtos;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Services;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Services;
using BPA.SAAS.Manage.Core.Base;
using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods
{
    [ApiDescriptionSettings("开放平台", Tag = "商品管理"), AllowAnonymous]
    public class GoodsServices: IDynamicApiController
    {
        private readonly IGoodsService _goodsService;
        public GoodsServices(IGoodsService goodsService)
        {
            _goodsService = goodsService;
        }

        /// <summary>
        /// 分页查询商品
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/Goods/GetGoodsPageList")]
        public async Task<PageUtil<List<GoodsDto>>> GetGoodsPageList(GoodsPageInputDto inputDto)
        {
            return await _goodsService.GetGoodsPageList(inputDto);
        }
        /// <summary>
        /// 添加商品
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/Goods/AddGoods")]
        public async Task<bool> AddGoods(GoodsInsertDto dto)
        {
            return await _goodsService.AddGoods(dto);
        }
        /// <summary>
        /// 更新商品
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/Goods/UpdateGoods")]
        public async Task<bool> UpdateGoods(GoodsUpdateDto dto)
        {
            return await _goodsService.UpdateGoods(dto);
        }
        /// <summary>
        /// 删除商品
        /// </summary>
        /// <param name="ids"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/Goods/DeleteGoods")]
        public async Task<bool> DeleteGoods(string[] ids)
        {
            return await _goodsService.DeleteGoods(ids);
        }
    }
}
